from typing import Optional

from im360.subsys.panels.base import RemoteIPInterface


class RemoteIP(RemoteIPInterface):
    async def remoteip_install(self) -> Optional[str]:
        pass

    async def remoteip_activated(self) -> bool:
        return True
